1. Piazza331's Avatar
    Alright, hey guys. I've been through the Jailbreak process several times, but with all the 1.1.3 confusion, I need a bit of help.

    I got my iPhone on day 1, so I assume I have the 3.9 bootloader. Problem is, I have no idea what that means. I've gotten through by just going with it (and succesfully jailbroke 1.1.1/1.1.2 and now 1.1.3).

    My problem is, when problems arise, I don't know what exactly people are referring to when they say the following...

    Differences between 3.9, 4.2 bootloader.

    Does this only matter if you are trying to Unlock? Or does it effect Jailbreaks too.

    The reason I ask, is because I now have an AT&T jailbroken 1.1.3 phone, but the locate me feature doesn't work. I read this is because the upgrade via installer (Dev Teams version), doesn't upload teh baseband.

    So that brings me to the next point...

    What is the baseband, and how does upgrading it/not affect me.

    I know that was a lot of questions, but if anyone can help me sort it out, that would be fantastic. Thanks.

    Can't someone please help me out?
    Last edited by Piazza331; 2008-01-28 at 01:54 PM. Reason: Automerged Doublepost
    2008-01-28 01:54 PM
  2. Piazza331's Avatar
    modmyi.com seems so overloaded with new people that nobody is ansewring anything anymore.

    come on guys, can't someone please help me here?

    modmyi.com seems so overloaded with new people that nobody is ansewring anything anymore.

    come on guys, can't someone please help me here?
    I'm patiently waiting. Can anyone help yet please?
    Last edited by Piazza331; 2008-01-29 at 05:36 AM. Reason: Automerged Doublepost
    2008-01-29 05:36 AM
  3. prybar's Avatar
    the bootloader is basically the startup section of the phone. It is where the locking/unlocking occurs, so when you upgrade the bootloader, you need to re-unlock the phone. hence the need for hardware "downgrading", basically a testpoint "formats" the phone, and you put on the bootloader that we can currently unlock.

    The baseband is the radio function of your phone. The new official upgrade also upgrades the baseband, which implements new communications or methods for the googe locate me. These implementations must be started by navizon or locate me, and google must not have that functionality built it, it must just expect these things to be there.

    So basically - bootloader = unlock/lock and baseband = phone/wifi/etc....

    hope that helps, and if i missed anything, feel free to correct me

    pry
    2008-01-29 05:58 AM
  4. scottvalentine's Avatar
    trying searching the forums for lockdownd
    replace this file using winscp
    that got my locate me working perfectly on dev-team jailbroken 1.1.3
    2008-01-29 06:04 AM
  5. scottvalentine's Avatar
    trying searching the forums for lockdownd
    replace this file using winscp
    that got my locate me working perfectly on dev-team jailbroken 1.1.3
    2008-01-29 06:05 AM
  6. Piazza331's Avatar
    Thanks.

    So if I update to a real 1.1.3, the baseband will update, and I'll never be able to unlock? I intend to unlock to sell down the road in order to buy the next iPhone.
    2008-01-29 10:08 AM
  7. prybar's Avatar
    i wouldn't say never, but it may be some time before the dev team gets a soft unlock...or they could release one tomorrow...it's really a guessing game..

    regards

    pry
    2008-01-29 02:13 PM
LINK TO POST COPIED TO CLIPBOARD